mgonzales Posted October 7, 2009 Posted October 7, 2009 Need help i do not know the first thing about writing a lisp routine. I was hoping that someone might already have a flow arrow routine or be able to instruct me how to write one. i am looking for a leader with an arrow and the prompt for a test string and the text would be placed above the leader not behind it. i really appreciate if anyone can help with this. Quote
CarlB Posted October 14, 2009 Posted October 14, 2009 Couldn't you achieve this using a block with an attribute? A picture would be helpful. Quote
alanjt Posted October 14, 2009 Posted October 14, 2009 Dynamic block (option to flip arrow 180°) with attribute above it. That would be the easiest route to take. Quote
MarcoW Posted October 14, 2009 Posted October 14, 2009 Hello, I do not know if this is what you are looking for? And then the text above the leader... Regards, Marco. Quote
lpseifert Posted October 14, 2009 Posted October 14, 2009 Here's a dynamic block I made a long while ago, not perfect but works in most cases. I put it on a toolpalette to be inserted at the dimscale with a rotation prompt. Maybe you can gather something from it. FA-DB.dwg Quote
CAB Posted October 14, 2009 Posted October 14, 2009 What's wrong with Qleader and the Underline setting? Quote
lpseifert Posted October 15, 2009 Posted October 15, 2009 Normally in Site/Civil drawings when annotating a flow line, say a gutter line, the arrow and text are at the same angle. I don't think Qleader can do that without changing the UCS. Quote
CAB Posted October 15, 2009 Posted October 15, 2009 You do have to change the text rotation to match the leader and the underline will follow. Quote
JONTHEPOPE Posted October 15, 2009 Posted October 15, 2009 I JUST USE PLINE MY SELF O FIRST POINT THAN 10 WIDTH SECOND. POINT PERHAPS A SCRIPT WOULD WORK? I DONT KNOW WHO RICK NOVARA IS BUT THIS CODE IS FROM ANOTHER SITE HE SEAMS TO HAVE ALL VARIABLES SET LOCAL BUT DONT REALLY KNOW IF PROGRAMM IS WORTH UPDATING. ;Tip1583: AHEAD.LSP Add Arrowhead (c)2000, Rick Novara (defun C:AH (/ SC LNENT LNAME PCKPT EPT EPT1 EPT2 ANG1 DD PT2 PW) ;draws an arrowhead on the end of a line (setq XOSMODE (getvar "osmode")) (setvar "osmode" 512) ;;snap nearest (setq SC (getvar "dimscale")) (setq LNENT (entsel "Pick near end of line") ;select end of line LNAME (car LNENT) ;extract entity name PCKPT (cadr LNENT) ;extract selection point EPT (osnap PCKPT "endp") ;set endpt of selected line EPT1 (cdr (assoc 10 (entget LNAME))) ;extract start pt of line EPT2 (cdr (assoc 11 (entget LNAME))) ;extract other endpt of line ) ;_ end of setq (if (equal EPT EPT1) ;test desired endpt is same as start pnt (setq ANG1 (angle EPT1 EPT2)) ;if it is set variable for line angle (setq ANG1 (angle EPT2 EPT1)) ;if not - line angle in other direction ) ;_ end of if (setq PT2 (polar EPT ANG1 (* SC 0.20))) ;set arrowhead length, based on current dimscale (setq PW (* SC 0.08)) ;set arrowhead width (setvar "osmode" 0) (command "PLINE" EPT "W" "0" PW PT2 "") ;draw arrowhead (setvar "OSMODE" XOSMODE) ) ;_ end of defun (princ "\nAHEAD.LSP loaded, Type AH to run... ") Quote
dtkell Posted October 16, 2009 Posted October 16, 2009 I can't remember and don't have version with me now, but doesn't LDD have a flow arrow block with annotation? Perhaps something here: http://autocad.wikia.com/wiki/Grading_and_Drainage_Designer_%28AutoLISP_application%29 will be of assistance to you. Quote
alanjt Posted October 16, 2009 Posted October 16, 2009 I can't remember and don't have version with me now, but doesn't LDD have a flow arrow block with annotation?Perhaps something here: http://autocad.wikia.com/wiki/Grading_and_Drainage_Designer_%28AutoLISP_application%29 will be of assistance to you. Learn the core functions!?!? You must be dreaming. :wink: Quote
dtkell Posted October 16, 2009 Posted October 16, 2009 Learn the core functions!?!? You must be dreaming. :wink: Perhaps I am dreaming! It may be an add on that the company I used to work for had in their set-up of add-ons. After all, I did say that I don't have the program to look at!! Quote
alanjt Posted October 17, 2009 Posted October 17, 2009 Perhaps I am dreaming!It may be an add on that the company I used to work for had in their set-up of add-ons. After all, I did say that I don't have the program to look at!! I want to say something like that existed, but I had to purge all LDD knowledge just so I could function in C3D. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.